OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.NV.ScissorExclusive

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetNVScissorExclusive :: MonadIO m => m Bool
- gl_NV_scissor_exclusive :: Bool
- pattern GL_SCISSOR_BOX_EXCLUSIVE_NV :: GLenum
- pattern GL_SCISSOR_TEST_EXCLUSIVE_NV :: GLenum
- glScissorExclusiveArrayvNV :: MonadIO m => GLuint -> GLsizei -> Ptr GLint -> m ()
- glScissorExclusiveNV :: MonadIO m => GLint -> GLint -> GLsizei -> GLsizei -> m ()

# Extension Support

glGetNVScissorExclusive :: MonadIO m => m Bool Source #

Is the NV_scissor_exclusive extension supported?

gl_NV_scissor_exclusive :: Bool Source #

Is the NV_scissor_exclusive extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetNVScissorExclusive` in those cases instead.

# Enums

pattern GL_SCISSOR_BOX_EXCLUSIVE_NV :: GLenum Source #

pattern GL_SCISSOR_TEST_EXCLUSIVE_NV :: GLenum Source #

# Functions

glScissorExclusiveArrayvNV Source #

Arguments

:: MonadIO m |
=> GLuint | `first`.
-> GLsizei | `count`.
-> Ptr GLint | `v` pointing to `COMPSIZE(count)` elements of type `GLint`.
-> m () |

glScissorExclusiveNV Source #

Arguments

:: MonadIO m |
=> GLint | `x` of type `WinCoord`.
-> GLint | `y` of type `WinCoord`.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> m () |